|  | Home | Documentation | wst__BinarySecretType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wst__BinarySecretType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":BinarySecretType is a complexType with simpleContent. More...

`#include <wst.h>`

## Public Attributes
char * | __item
| __item wraps "xs:base64Binary" simpleContent. More...
char * | Type
| Attribute "Type" of XSD type "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":BinarySecretTypeOpenEnum. More...

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":BinarySecretType is a complexType with simpleContent.

struct wst__BinarySecretType operations:

- wst__BinarySecretType* soap_new_wst__BinarySecretType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__BinarySecretType(struct soap*, wst__BinarySecretType*) default initialize members
- int soap_read_wst__BinarySecretType(struct soap*, wst__BinarySecretType*) deserialize from a source
- int soap_write_wst__BinarySecretType(struct soap*, wst__BinarySecretType*) serialize to a sink
- wst__BinarySecretType* soap_dup_wst__BinarySecretType(struct soap*, wst__BinarySecretType* dst, wst__BinarySecretType <em>src) returns deep copy of wst__BinarySecretType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__BinarySecretType(wst__BinarySecretType) deep deletes wst__BinarySecretType data members, use only on dst after soap_dup_wst__BinarySecretType(NULL, wst__BinarySecretType *dst, wst__BinarySecretType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* wst__BinarySecretType::__item

__item wraps "xs:base64Binary" simpleContent.

char* wst__BinarySecretType::Type

Attribute "Type" of XSD type "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":BinarySecretTypeOpenEnum.

Optional attribute.

The documentation for this struct was generated from the following file:

- wst.h